Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.mime
Class MimeUtils

    java.lang.Object
      |
      +--org.apache.soap.util.mime.MimeUtils

public class MimeUtils
extends java.lang.Object

Mime-related utility functions.

Constructor Summary
`MimeUtils()`

Method Summary
`static java.lang.String` | `decode(java.lang.String s)`
`static java.lang.String` | `getEncoding(java.lang.String type, java.lang.String defaultEncoding)` Extract a Java encoding from a Content-Type's MIME character set.
`static java.lang.String` | `getUniqueValue()` Get a unique value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeUtils

    public MimeUtils()

Method Detail

### getUniqueValue

    public static java.lang.String getUniqueValue()

  Get a unique value. Similar to javax.mail.internet.UniqueValue, this implementation generates a unique value by concatenating a newly created object's `hashCode()`, the current time (in milliseconds), and this system's hostname generated by `InternetAddress.getLocalAddress()`.

### getEncoding

    public static java.lang.String getEncoding(java.lang.String type,
                                               java.lang.String defaultEncoding)

  Extract a Java encoding from a Content-Type's MIME character set.

### decode

    public static java.lang.String decode(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.